Horde < 3.1.1 Help Viewer Code Execution

High Nessus Network Monitor Plugin ID 3490

Synopsis

The remote web server contains a PHP application that allows execution of arbitrary PHP code.

Description

The remote web server contains a PHP application that allows execution of arbitrary PHP code. The version of Horde installed on the remote host fails to sanitize user-supplied input before using it in the Help viewer to evaluate code. An unauthenticated attacker could exploit this flaw to execute arbitrary command on the remote host subject to the privileges of the web server user ID.

Solution

Upgrade to version 3.1.1 or higher.

See Also

http://lists.horde.org/archives/announce/2006/000272.html

http://lists.horde.org/archives/announce/2006/000271.html

Plugin Details

Severity: High

ID: 3490

File Name: 3490.prm

Family: CGI

Published: 2006/03/29

Modified: 2016/01/15

Dependencies: 1442

Nessus ID: 21164

Risk Information

Risk Factor: High

CVSSv2

Base Score: 7.5

Temporal Score: 6.2

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

CVSSv3

Base Score: 7.3

Temporal Score: 6.8

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS3#E:F/RL:O/RC:C

Exploitable With

CANVAS (CANVAS)

Reference Information

CVE: CVE-2006-1491

BID: 17292